{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
   <form method="POST" class="form-inline" role="form" enctype="multipart/form-data">
       {% csrf_token %}
        <div class="col-xl-10 col-md-10 mb-10">
            
            {% if obj %}      
                <div class="card border-left-warning shadow h-100 py-2">
            {% else %}
                <div class="card border-left-success shadow h-100 py-2">
            {% endif %}
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                {% if obj %} Editar {% else %} Nueva {% endif %} Persona 
                            </div>                        
                            <div class="dropdown-divider"></div>   

                            <div class="row">
                                <div class="col-md-2 mb-3">
                                </div>
                                <div class="col-md-8 mb-3">
                                    <div class="card" style="width: 35rem;">
                                        <img src="{% static 'base/img/avatar-personal.svg' %}" class="card-img-top" alt="..." height="120px" width="200px">
                                        <div class="card-body">
                                          <h5 class="card-title text-md-center">Activistas/Activados - Pinos, Zacatecas</h5>                                     
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-2 mb-3">
                                </div>
                            </div>
                            
                            <div class="row mb-3">
                                <div class="col-md-2"></div>
                                <div class="col-md-8 text-uppercase font-weight-light">
                                    <!-- {{ form.curp.label }}:
                                    <div class="input-group">
                                        {{ form.curp }}
                                    </div> -->
                                    INGRESA TU CURP:
                                    <div class="input-group">                                        
                                        <input type="text" name="curp" id="id_curp" class="form-control" maxlength="18" minlength="18"
                                        value="{% if obj.curp %} {{ obj.curp }} {% else %} {% endif %} ">
                                    </div>
                                </div>
                                <div class="col-md-2"></div>
                            </div>

                            <!-- fila 1 -->                            
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.nombres.label }}:
                                    <div class="input-group">                                        
                                        {{ form.nombres }}
                                    </div>
                                </div>
                                <div class="col-md-4 text-uppercase font-weight-bold">                                    
                                    APELLIDO PATERNO:
                                    <div class="input-group">
                                        {{ form.ap_paterno }}
                                    </div>
                                </div>
                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.ap_materno.label }}:
                                    <div class="input-group">
                                        {{ form.ap_materno }}
                                    </div>
                                </div>
                            </div>

                            <!-- fila 2 -->
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.tipo.label }}:
                                    <div class="input-group">
                                        {{ form.tipo }}
                                    </div>
                                </div>
                                
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.genero.label }}:
                                    <div class="input-group">
                                        {{ form.genero }}
                                    </div>
                                </div>

                                <div class="col-md-4 text-uppercase font-weight-light">
                                    <!-- {{ form.fecha_de_nacimiento.label }}:
                                    <div class="input-group">
                                        {{ form.fecha_de_nacimiento }}
                                    </div> -->
                                    
                                    FECHA DE NACIMIENTO:
                                    <div class="input-group">
                                        <input type="text" name="fecha_de_nacimiento" class="form-control" readonly id="id_fecha_de_nacimiento" value="{{ obj.fecha_de_nacimiento|date:'d/m/Y' }}">
                                    </div>
                                </div>
                            </div>

                            <!-- fila 3 -->
                            <div class="row mb-3 text-uppercase font-weight-light">
                                <div class="col-md-6">
                                    {{ form.domicilio.label }}:
                                    <div class="input-group">
                                        {{ form.domicilio }}
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    {{ form.estado.label }}:
                                    <div class="input-group">
                                        {{ form.estado }}
                                    </div>
                                </div>                                
                            </div>

                            <!-- fila 4 -->
                            <div class="row mb-3">
                                <div class="col-md-6 text-uppercase font-weight-light">
                                    <!-- {{ form.telefono.label }}: -->
                                    TELÉFONO:
                                    <div class="input-group">
                                        {{ form.telefono }}
                                    </div>
                                </div>

                                <div class="col-md-6 text-uppercase font-weight-bold">
                                    {{ form.localidad.label }}:                                    
                                    <div class="input-group">
                                        {{ form.localidad }}
                                    </div>
                                </div>
                            </div>

                            <!-- fila 5 -->
                            <div class="row mb-3">                               
                                
                                <div class="col-6 text-uppercase font-weight-light">                                   
                                    INE:
                                    <div class="input-group">
                                        {{ form.ine }}
                                    </div>
                                </div>  
                                
                                <div class="col-6 text-uppercase font-weight-light">                                   
                                    NOTAS:
                                    <div class="input-group">
                                        {{ form.notas }}
                                    </div>
                                </div> 
                            </div>
                            
                            <!-- {{ form.as_p }} -->
                            <div class="dropdown-divider"></div>
                            <div class="row mt-3">                                

                                <div class="col-4">
                                    <button type="submit" class="btn btn-danger btn-block">
                                        <span class="fa fa-save"></span> Guardar
                                    </button>
                                </div>

                                <div class="col-4">                                    
                                    <a href="{% url 'apoyos:personas_list' %}" class="btn btn-success btn-block">                                                                               
                                        <span class="fa fa-undo"></span> Cancelar                                         
                                    </a>                                  
                                </div>
                                    
                                <div class="col-4">
                                    <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary btn-block">
                                        <span class="icon text-white-50">
                                            <i class="fas fa-arrow-left"></i>
                                        </span>
                                        <span class="text">Regresar</span>
                                    </a>
                                </div>                                                                 
                            </div>                                
                            
                        </div>                        
                    </div>
                </div>
            </div>
        </div>
   </form>  
{% endblock page_content %}    

{% block js_page %}
   <script>
        // carga del DOM
        $(function(){
            
            $("#id_fecha_de_nacimiento").datetimepicker({  
                format: 'd/m/Y',  
                timepicker:false  
            });              
        });
                

        // validando errores en el form
        {% if form.errors %}
            //si el formulario tiene errores
            {% for field in form %}
                {% if field.errors %}
                    {% for error in field.errors %}
                        mensaje('{{ error|escape }}', 'red')
                    {% endfor %}
                {% endif %}
            {% endfor %}
        {% endif %}


        {% if form.non_field_errors %}
            {% for error in form.non_field_errors %}
                mensaje('{{ error|escape }}', 'red')
            {% endfor %}
        {% endif %}
   </script>
{% endblock js_page %}

    